Advisory Details

February 7th, 2020

Google Android V4l2 cam_actuator_driver_cmd Use-After-Free Privilege Escalation Vulnerability

ZDI-20-199
ZDI-CAN-9549

CVE ID CVE-2019-14088
CVSS SCORE 7.8, (AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H)
AFFECTED VENDORS Google
AFFECTED PRODUCTS Android
VULNERABILITY DETAILS

This vulnerability allows local attackers to escalate privileges on affected installations of Google Android. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability.

The specific flaw exists within the cam_actuator_driver_cmd function in the V4l2 driver. The issue results from the lack of validating the existence of an object prior to performing operations on the object. An attacker can leverage this vulnerability to escalate privileges and execute code in the context of the kernel.

ADDITIONAL DETAILS Google has issued an update to correct this vulnerability. More details can be found at:
https://source.android.com/security/bulletin/pixel/2020-02-01.html
DISCLOSURE TIMELINE
  • 2019-10-18 - Vulnerability reported to vendor
  • 2020-02-07 - Coordinated public release of advisory
CREDIT Lacne Jiang and Moony Li of TrendMicro Mobile Security Research Team
BACK TO ADVISORIES